GDB (xrefs)

Public Member Functions | Private Attributes | List of all members
ioscm_file_port Class Reference
Inheritance diagram for ioscm_file_port:

## Public Member Functions
| ioscm_file_port (SCM port)
void | flush () override
void | write (const char *buf, long length_buf) override
Public Member Functions inherited from ui_file
| ui_file ()
virtual | ~ui_file ()=0
void | printf (const char *,...) ATTRIBUTE_PRINTF(2
void void | putstr (const char *str, int quoter)
void | putstrn (const char *str, int n, int quoter)
int | putc (int c)
void | vprintf (const char *, va_list) ATTRIBUTE_PRINTF(2
virtual void | write_async_safe (const char *buf, long length_buf)
virtual void | puts (const char *str)
virtual long | read (char *buf, long length_buf)
virtual bool | isatty ()

## Private Attributes
SCM | m_port

## Detailed Description

Definition at line 41 of file scm-ports.c.

## Constructor & Destructor Documentation

## ◆ ioscm_file_port()

ioscm_file_port::ioscm_file_port | ( | SCM | port | ) |
| explicit

Definition at line 438 of file scm-ports.c.

## Member Function Documentation

## ◆ flush()

void ioscm_file_port::flush | ( |  | ) |
| override virtual

Reimplemented from ui_file.

Definition at line 443 of file scm-ports.c.

## ◆ write()

void ioscm_file_port::write | ( | const char * | buf,
|  | long | length_buf
| ) |  |
| override virtual

Implements ui_file.

Definition at line 448 of file scm-ports.c.

References m_port.

Referenced by gdb._GdbFile::writelines().

## Member Data Documentation

## ◆ m_port

SCM ioscm_file_port::m_port
| private

Definition at line 51 of file scm-ports.c.

Referenced by write().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/guile/scm-ports.c